> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnowadays.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Venue Proposal

> Request a proposal from a specific venue

Request a proposal from a specific venue for your event. You can identify the venue using the venue name and city.

<ParamField body="event_id" type="number" required>
  The ID of your event
</ParamField>

<ParamField body="ntm_id" type="string" optional>
  The Northstar Hotel ID
</ParamField>

<ParamField body="venue_name" type="string" required>
  Name of the venue
</ParamField>

<ParamField body="venue_city" type="string" required>
  City where the venue is located
</ParamField>


## OpenAPI

````yaml POST /venues/request-proposal
openapi: 3.0.1
info:
  title: Nowadays API
  description: >-
    API documentation for managing events and venue proposals in the Nowadays
    system
  version: 1.0.0
servers:
  - url: https://nowadays.ai/api/northstar
security:
  - bearerAuth: []
paths:
  /venues/request-proposal:
    post:
      summary: Request Venue Proposal
      description: Request a proposal from a specific venue for an event
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProposalRequest'
      responses:
        '200':
          description: Proposal request successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  venue_id:
                    type: string
components:
  schemas:
    ProposalRequest:
      type: object
      required:
        - event_id
        - venue_name
        - venue_city
      properties:
        event_id:
          type: number
          description: The ID of your event
        ntm_id:
          type: string
          description: The Northstar Hotel ID
        venue_name:
          type: string
          description: Name of the venue
        venue_city:
          type: string
          description: City where the venue is located
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````